Create an Elastic Endpoint rule exception list

Base URL
https://{kibana_url}
  • POST /api/endpoint_list
  • POST /s/{space_id}/api/endpoint_list
Auth

Create the exception list for Elastic Endpoint rule exceptions. When you create the exception list, it will have a list_id of endpoint_list. If the Elastic Endpoint exception list already exists, your request will return an empty response.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

Successful response

application/json
One of:
_version string
created_at string · format: date-time required
created_by string required
description string required
id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

immutable boolean required
list_id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

meta object
name string required
namespace_type enum required

Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:

  • single: Only available in the Kibana space in which it is created.
  • agnostic: Available in all Kibana spaces.
Values: agnostic single
os_types enum[]
Values: linux macos windows
tags string[]
tie_breaker_id string required
type enum required
Values: detection rule_default endpoint endpoint_trusted_apps endpoint_events endpoint_host_isolation_exceptions endpoint_blocklists
updated_at string · format: date-time required
updated_by string required
version integer · min: 1 required

Invalid input data

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication

application/json
error string required
message string required
statusCode integer required

Insufficient privileges

application/json
error string required
message string required
statusCode integer required

Internal server error

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}